#include<stdio.h>
#include<math.h>
int Cifra(long long n){
	int br,cifra;
	br = log10(n);
  	
  	cifra = n / pow(10, br);
  	return cifra;
}
void Razmeni(long long *a,long long *b){
	long long t;
	t=*a;
	*a=*b;
	*b=t;
}

main(){
		long long a,b,c,max,max1,min;
		scanf("%lld%lld%lld",&a,&b,&c);
		if(a>b){
				if(b>c){
					max=a;
					max1=b;
					min=c;
				}
				else{
					max=a;
					max1=c;
					min=b;
				}
				if(a<c){
					max=c;
					max1=a;
					min=b;
				}
			}
		else if(b>a){
			if(a>c){
				max=b;
				max1=a;
				min=c;
			}
			else{
				max=b;
				max1=c;
				min=a;
			}
			if(c>b){
				max=c;
				max1=b;
				min=a;
			}
			
		}
		else if(c>a){
			if(a>b){
				max=c;
				max1=a;
				min=b;
		}
		else{
			max=c;
			max1=b;
			min=a;
		}
		if(b>c){
			max=b;
			max1=c;
			min=a;
		}
		}
		if(Cifra(max)<Cifra(max1)){
			Razmeni(&max,&max1);
			Razmeni(&max1,&min);
		}
		if(Cifra(max)<Cifra(min) ){
			Razmeni(&max,&min);
			Razmeni(&min,&max1);
		}
		printf("%lld%lld%lld",max,max1,min);
	
}